This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 968346 - Popup unreliable for "changesets__promote" [NEEDINFO]
Popup unreliable for "changesets__promote"
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Brad Buckingham
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 09:49 EDT by Kedar Bidarkar
Modified: 2014-06-19 15:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-11 14:54:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bbuckingham: needinfo? (kbidarka)


Attachments (Terms of Use)

  None (edit)
Description Kedar Bidarkar 2013-05-29 09:49:00 EDT
Description of problem:

We have no popup for "changesets__promote".

But from UI under user Notification, we do get a notification for "Successfully promoted changeset "

Tue, 28 May 2013 13:08:40 +0000 success ACME_Corporation Successfully promoted changeset 'create_dev_changeset1113'.
Tue, 28 May 2013 13:08:14 +0000 success ACME_Corporation Started content promotion to Development environment using 'create_dev_changeset1113'
Tue, 28 May 2013 13:07:56 +0000 success ACME_Corporation Promotion Changeset 'create_dev_changeset1113' was created. 

Version-Release number of selected component (if applicable):
[root@XYZ ~]# rpm -qav | grep -i katello 
katello-qpid-client-key-pair-1.0-1.noarch
katello-1.4.2-1.git.469.ba512a5.el6.noarch
katello-cli-1.4.2-1.git.71.2a2d883.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.4.2-1.git.71.2a2d883.el6.noarch
katello-common-1.4.2-1.git.469.ba512a5.el6.noarch
katello-selinux-1.4.3-1.git.3.ce8227b.el6.noarch
katello-all-1.4.2-1.git.469.ba512a5.el6.noarch
katello-certs-tools-1.4.2-1.el6.noarch
katello-glue-candlepin-1.4.2-1.git.469.ba512a5.el6.noarch
katello-configure-1.4.3-1.git.41.e1043b5.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-glue-elasticsearch-1.4.2-1.git.469.ba512a5.el6.noarch
katello-glue-pulp-1.4.2-1.git.469.ba512a5.el6.noarch
signo-katello-0.0.9-1.el6.noarch
katello-repos-1.4.2-1.el6.noarch


How reproducible:


Steps to Reproduce:
1. sync the fake custom repo
2. Add the content to CS
3. promote the CS
4. we do get popup for 
a) changesets_create
b) changesets_apply
c) but none/unreliable for changesets_promote even thoguh it's a success.
d) Also we do get a notification on dashboard->User Notification

Actual results:
no popup

Expected results:
popup for changesets_promote needs to be reliable.

To be clear, very rarely we get a popup when changeset promotion is a success

Additional info:
Comment 1 Brad Buckingham 2013-05-29 15:38:40 EDT
Do you also see it missing from the 'notifications' page?

Is it possible that you have multiple browsers or tabs open for the user?  

With those particular notifications, they are delivered asynchronously.  By that, it means that the first browser instance that polls for the notification will get it.  Those polls occur by default every 120 seconds or when the user browses to a new page.  Since this is a success notification, it will be displayed for only a few seconds and then fade away, so it is possible that it happened and it was missed.
Comment 2 Mike McCune 2013-05-29 18:35:28 EDT
if this is indeed a case of multiple browser windows open, please close
Comment 4 Jeff Weiss 2013-06-17 10:44:23 EDT
No, we are well aware of the "multiple sessions for the same user" issue and we deliberately user a different user for each session to avoid it.
Comment 5 Bryan Kearney 2014-03-11 14:54:09 EDT
Closing old bugs which are not relevant based on new UI and CLI
Comment 6 Bryan Kearney 2014-03-12 18:52:55 EDT
Closing old bugs which are not relevant based on new UI and CLI

Note You need to log in before you can comment on or make changes to this bug.